#"rmic.mak" file ***************************************

WrkDir = D:\Chat
ChatName = Server\Chat

ClassFiles = \
"$(WrkDir)\Server\IServer.class" \
"$(WrkDir)\Server\Message.class" \
"$(WrkDir)\Server\Server.class" \
"$(WrkDir)\Server\Chat.class" \
"$(WrkDir)\Server\ClientInfo.class" \
"$(WrkDir)\Server\ClientNotFound.class" \
"$(WrkDir)\Client\INotifiable.class" \
"$(WrkDir)\Client\Client.class" \
"$(WrkDir)\Client\Chat.class" \

StubFiles = \
"$(WrkDir)\$(ChatName)_Stub.class" \
"$(WrkDir)\$(ChatName)_Skel.class" \

all : $(ClassFiles) $(StubFiles)

"$(WrkDir)\Server\IServer.class" : "$(WrkDir)\Server\IServer.java"
    javac.exe Server\IServer.java
"$(WrkDir)\Server\Message.class" : "$(WrkDir)\Server\Message.java"
    javac.exe Server\Message.java
"$(WrkDir)\Server\ClientInfo.class" : "$(WrkDir)\Server\Server.java"
    javac.exe Server\Server.java
"$(WrkDir)\Server\ClientNotFound.class" : "$(WrkDir)\Server\Server.java"
    javac.exe Server\Server.java
"$(WrkDir)\Server\Server.class" : "$(WrkDir)\Server\Server.java"
    javac.exe Server\Server.java
"$(WrkDir)\Server\Chat.class" : "$(WrkDir)\Server\Chat.java"
    javac.exe Server\Chat.java
"$(WrkDir)\Client\INotifiable.class" : "$(WrkDir)\Client\Client.java"
    javac.exe Client\Client.java
"$(WrkDir)\Client\Client.class" : "$(WrkDir)\Client\Client.java"
    javac.exe Client\Client.java
"$(WrkDir)\Client\Chat.class" : "$(WrkDir)\Client\Chat.java"
    javac.exe Client\Chat.java

"$(WrkDir)\$(ChatName)_Stub.class" : "$(WrkDir)\$(ChatName).class"
    rmic.exe -dstub .\ -dskel .\ Server.Chat
"$(WrkDir)\$(ChatName)_Skel.class" : "$(WrkDir)\$(ChatName).class"
    rmic.exe -dstub .\ -dskel .\ Server.Chat



